#include <libint2.h>
#include <HRRPart0bra0ket0gd.h>
#include <HRRPart0bra0ket0gf.h>
#include <HRRPart0bra0ket0gg.h>
#include <HRRPart0bra0ket0gh.h>
#include <HRRPart0bra0ket0gp.h>
#include <HRRPart0bra0ket0hd.h>
#include <HRRPart0bra0ket0hf.h>
#include <HRRPart0bra0ket0hg.h>
#include <HRRPart0bra0ket0hp.h>
#include <HRRPart0bra0ket0id.h>
#include <HRRPart0bra0ket0if.h>
#include <HRRPart0bra0ket0ip.h>
#include <HRRPart0bra0ket0kd.h>
#include <HRRPart0bra0ket0kp.h>
#include <HRRPart0bra0ket0lp.h>
#include <_elecpot_G_H_prereq.h>

#ifdef __cplusplus
extern "C" {
#endif
void _elecpot_G_H(const Libint_t* inteval) {

_libint2_static_api_bzero_short_(inteval->stack+0*1,200)
const int contrdepth = inteval->contrdepth;
#ifdef __INTEL_COMPILER
#pragma ivdep
#endif
for(int c = 0; c<contrdepth; c++) {
_elecpot_G_H_prereq(inteval+c, inteval->stack);
}

LIBINT2_REALTYPE*const  stack = inteval->stack;
{
const int hsi = 0;
{
const int lsi = 0;
{
const int vi = 0;
HRRPart0bra0ket0hp(inteval, &(inteval->stack[((hsi*63+515)*1+lsi)*1]), &(inteval->stack[((hsi*28+136)*1+lsi)*1]), &(inteval->stack[((hsi*21+164)*1+lsi)*1]),1);
HRRPart0bra0ket0ip(inteval, &(inteval->stack[((hsi*84+578)*1+lsi)*1]), &(inteval->stack[((hsi*36+100)*1+lsi)*1]), &(inteval->stack[((hsi*28+136)*1+lsi)*1]),1);
HRRPart0bra0ket0hd(inteval, &(inteval->stack[((hsi*126+662)*1+lsi)*1]), &(inteval->stack[((hsi*84+578)*1+lsi)*1]), &(inteval->stack[((hsi*63+515)*1+lsi)*1]),1);
HRRPart0bra0ket0kp(inteval, &(inteval->stack[((hsi*108+788)*1+lsi)*1]), &(inteval->stack[((hsi*45+55)*1+lsi)*1]), &(inteval->stack[((hsi*36+100)*1+lsi)*1]),1);
HRRPart0bra0ket0id(inteval, &(inteval->stack[((hsi*168+896)*1+lsi)*1]), &(inteval->stack[((hsi*108+788)*1+lsi)*1]), &(inteval->stack[((hsi*84+578)*1+lsi)*1]),1);
HRRPart0bra0ket0hf(inteval, &(inteval->stack[((hsi*210+1064)*1+lsi)*1]), &(inteval->stack[((hsi*168+896)*1+lsi)*1]), &(inteval->stack[((hsi*126+662)*1+lsi)*1]),1);
HRRPart0bra0ket0gp(inteval, &(inteval->stack[((hsi*45+578)*1+lsi)*1]), &(inteval->stack[((hsi*21+164)*1+lsi)*1]), &(inteval->stack[((hsi*15+185)*1+lsi)*1]),1);
HRRPart0bra0ket0gd(inteval, &(inteval->stack[((hsi*90+100)*1+lsi)*1]), &(inteval->stack[((hsi*63+515)*1+lsi)*1]), &(inteval->stack[((hsi*45+578)*1+lsi)*1]),1);
HRRPart0bra0ket0gf(inteval, &(inteval->stack[((hsi*150+1274)*1+lsi)*1]), &(inteval->stack[((hsi*126+662)*1+lsi)*1]), &(inteval->stack[((hsi*90+100)*1+lsi)*1]),1);
HRRPart0bra0ket0gg(inteval, &(inteval->stack[((hsi*225+515)*1+lsi)*1]), &(inteval->stack[((hsi*210+1064)*1+lsi)*1]), &(inteval->stack[((hsi*150+1274)*1+lsi)*1]),1);
HRRPart0bra0ket0lp(inteval, &(inteval->stack[((hsi*135+1274)*1+lsi)*1]), &(inteval->stack[((hsi*55+0)*1+lsi)*1]), &(inteval->stack[((hsi*45+55)*1+lsi)*1]),1);
HRRPart0bra0ket0kd(inteval, &(inteval->stack[((hsi*216+1409)*1+lsi)*1]), &(inteval->stack[((hsi*135+1274)*1+lsi)*1]), &(inteval->stack[((hsi*108+788)*1+lsi)*1]),1);
HRRPart0bra0ket0if(inteval, &(inteval->stack[((hsi*280+1625)*1+lsi)*1]), &(inteval->stack[((hsi*216+1409)*1+lsi)*1]), &(inteval->stack[((hsi*168+896)*1+lsi)*1]),1);
HRRPart0bra0ket0hg(inteval, &(inteval->stack[((hsi*315+1274)*1+lsi)*1]), &(inteval->stack[((hsi*280+1625)*1+lsi)*1]), &(inteval->stack[((hsi*210+1064)*1+lsi)*1]),1);
HRRPart0bra0ket0gh(inteval, &(inteval->stack[((hsi*315+200)*1+lsi)*1]), &(inteval->stack[((hsi*315+1274)*1+lsi)*1]), &(inteval->stack[((hsi*225+515)*1+lsi)*1]),1);
}
}
}
const int hsi = 0;
const int lsi = 0;
const int vi = 0;
inteval->targets[0] = &(inteval->stack[((hsi*315+200)*1+lsi)*1]);
/** Number of flops = 0 */
}

#ifdef __cplusplus
};
#endif
